# std::any::reset

From cppreference.com
< cpp‎ | utility‎ | any

void reset(); |  | (since C++17)

If not empty, destroys the contained object.

### Parameters

(none)

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/utility/any/reset&oldid=91697"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template